## node-expat 1.3.0

=== wscript ===
srcdir = '.'
blddir = 'build'
VERSION = '1.1.0'

def set_options(opt):
  opt.tool_options('compiler_cxx')

def configure(conf):
  conf.check_tool('compiler_cxx')
  conf.check_tool('node_addon')

def build(bld):
  obj = bld.new_task_gen('cxx', 'shlib', 'node_addon')
  obj.target = 'node-expat'
  obj.source = 'node-expat.cc'
  obj.lib = 'expat'

## node-expat 1.2.0

=== debian/changelog ===
node-expat (1.2.0-3) unstable; urgency=low

  * Fix tie proper email addresses to artist and real name of upstream
    author, as per request.
  * Package now team-maintained:
    + Set Debian Javascript Maintainers as maintainer.
    + Set myself as uploader.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Mar 2011 11:17:07 +0100

node-expat (1.2.0-2) experimental; urgency=low

  * Fix gitignore /.pc (not bogus raw).
  * Rename binary package to match micro-policy Node naming scheme:
    libnode-PKG.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 28 Jan 2011 12:17:53 +0100

node-expat (1.2.0-1) experimental; urgency=low

  * Initial release.
    Closes: Bug#611223.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Jan 2011 23:26:25 +0100

=== debian/control ===
Source: node-expat
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 debhelper (>= 6),
 dh-buildinfo,
 nodejs-dev (>= 0.2.6),
 libexpat-dev
Standards-Version: 3.9.1
Homepage: https://github.com/astro/node-expat
Vcs-Git: git://git.debian.org/git/collab-maint/node-expat
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-expat.git

Package: libnode-node-expat
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 nodejs
Description: fast XML parser library for Node
 Node is an event-based server-side JavaScript engine.
 .
 node-expat is a fast XML parser library for Node.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2011 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for node-expat
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

libpkgname = libnode-node-expat

CDBS_BUILD_DEPENDS += , nodejs-dev (>= 0.2.6), libexpat-dev

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

DEB_UPSTREAM_URL = http://githubredir.debian.net/github/astro/node-expat/
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
DEB_UPSTREAM_TARBALL_MD5 = c21865d1d53ddf849fb9ec7c3a7eed27

DEB_INSTALL_DOCS_$(libpkgname) += README.markdown
DEB_INSTALL_EXAMPLES_$(libpkgname) += test.js

configure/$(libpkgname)::
	NODE_PATH=$(cdbs_curdestdir)/usr/lib/nodejs node-waf configure

build/$(libpkgname)::
	NODE_PATH=$(cdbs_curdestdir)/usr/lib/nodejs node-waf build

install/$(libpkgname)::
	NODE_PATH=$(cdbs_curdestdir)/usr/lib/nodejs node-waf install

# Node modules have an uncommon extension preventing autodetection by
# dh_shlibdeps, so we do it manually
binary-strip-IMPL/$(libpkgname)::
	$(if $(is_debug_package)$(filter nostrip,$(DEB_BUILD_OPTIONS)),,find "$(cdbs_curdestdir)" -name "*.node" -exec strip --remove-section=.comment --remove-section=.note --strip-unneeded {} +)
binary-predeb-IMPL/$(libpkgname)::
	find "$(cdbs_curdestdir)" -name "*.node" -exec dpkg-shlibdeps -Tdebian/$(cdbs_curpkg).substvars {} +

clean::
	rm -rf build
	rm -f .lock-wscript

## node-expat 1.3.0

=== debian/changelog ===
node-expat (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * Bump copyright file format to draft 174 of DEP-5.
  * Bump policy compliance to standards-version 3.9.2.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Apr 2011 11:02:04 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  dh-buildinfo,
  nodejs-dev (>= 0.2.6),
  libexpat-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: https://github.com/astro/node-expat
 Vcs-Git: git://git.debian.org/git/collab-maint/node-expat
 Vcs-Browser: http://git.debian.org/?p=collab-maint/node-expat.git

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/astro/node-expat/
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = c21865d1d53ddf849fb9ec7c3a7eed27
+DEB_UPSTREAM_TARBALL_MD5 = 47fd0aaf29847ced2bdb182bc3cef2f2
 
 DEB_INSTALL_DOCS_$(libpkgname) += README.markdown
 DEB_INSTALL_EXAMPLES_$(libpkgname) += test.js

=== debian/watch ===
version=3
http://githubredir.debian.net/github/astro/node-expat .*/v(\d.*).tar.gz

## node-expat 1.4.1

=== debian/changelog ===
node-expat (1.4.1-2) unstable; urgency=low

  * Drop obsolete (and ignored on buildds) libnode-* fallback build-
    dependency.
  * Bump debhelper compatilibity level to 7.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 07 Dec 2011 08:08:47 +0700

node-expat (1.4.1-1) unstable; urgency=low

  * New upstream release.
  * Rename libnode-node-expat → node-node-expat. Replace and conflict
    with (and temporarily provide) old package name.
  * Update package relations:
    + Relax build-depend unversioned on debhelper and cdbs (needed
      versions satisfied even in oldstable).
    + Build-depend on node-vows favored over legacy package name
      libnode-vows.
  * Drop dpkg local-options hints from packaging source: now defaults.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Nov 2011 21:57:18 +0700

node-expat (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * Run regresssion tests during build. Build-depend on libnode-vows.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Aug 2011 11:46:17 +0200

=== debian/control ===
Source: node-expat
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo,
 nodejs-dev (>= 0.2.6),
 libexpat-dev,
 node-vows
Standards-Version: 3.9.2
Homepage: https://github.com/astro/node-expat
Vcs-Git: git://git.debian.org/git/collab-maint/node-expat
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-expat.git

Package: node-node-expat
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 nodejs
Conflicts: libnode-node-expat
Replaces: libnode-node-expat
Provides: libnode-node-expat
Description: fast XML parser library for Node
 Node is an event-based server-side JavaScript engine.
 .
 node-expat is a fast XML parser library for Node.

=== debian/rules ===
--- 
+++ 
@@ -20,9 +20,9 @@
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
-libpkgname = libnode-node-expat
+libpkgname = node-node-expat
 
-CDBS_BUILD_DEPENDS += , nodejs-dev (>= 0.2.6), libexpat-dev
+CDBS_BUILD_DEPENDS += , nodejs-dev (>= 0.2.6), libexpat-dev, node-vows
 
 # suppress optional build-dependencies
 CDBS_BUILD_DEPENDS_rules_upstream-tarball =
@@ -31,16 +31,16 @@
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/astro/node-expat/
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 47fd0aaf29847ced2bdb182bc3cef2f2
+DEB_UPSTREAM_TARBALL_MD5 = 142770d1883d401b8277fe6b62e4ca9f
 
 DEB_INSTALL_DOCS_$(libpkgname) += README.markdown
-DEB_INSTALL_EXAMPLES_$(libpkgname) += test.js
 
 configure/$(libpkgname)::
 	NODE_PATH=$(cdbs_curdestdir)/usr/lib/nodejs node-waf configure
 
 build/$(libpkgname)::
 	NODE_PATH=$(cdbs_curdestdir)/usr/lib/nodejs node-waf build
+	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,NODE_PATH=$(cdbs_curdestdir)/usr/lib/nodejs node test.js)
 
 install/$(libpkgname)::
 	NODE_PATH=$(cdbs_curdestdir)/usr/lib/nodejs node-waf install

## node-expat 1.4.3

=== wscript ===
--- 
+++ 
@@ -8,9 +8,16 @@
 def configure(conf):
   conf.check_tool('compiler_cxx')
   conf.check_tool('node_addon')
+  conf.check( header_name='expat.h', 
+              mandatory = True,
+	          errmsg = "not installed")
+	
+  conf.env['LIB_EXPAT'] = ['expat']
+
 
 def build(bld):
   obj = bld.new_task_gen('cxx', 'shlib', 'node_addon')
   obj.target = 'node-expat'
   obj.source = 'node-expat.cc'
   obj.lib = 'expat'
+  obj.uselib = 'EXPAT'

=== debian/changelog ===
node-expat (1.4.3-1) unstable; urgency=low

  * New upstream release.
  * Update watch file to use more flexible regex.
  * Bump copyright file format to 1.0.
  * Bump standards-version to 3.9.3.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Mar 2012 20:27:59 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  nodejs-dev (>= 0.2.6),
  libexpat-dev,
  node-vows
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://github.com/astro/node-expat
 Vcs-Git: git://git.debian.org/git/collab-maint/node-expat
 Vcs-Browser: http://git.debian.org/?p=collab-maint/node-expat.git

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/astro/node-expat/
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 142770d1883d401b8277fe6b62e4ca9f
+DEB_UPSTREAM_TARBALL_MD5 = 8e14bb58f0f542158c8798c1fc9926d3
 
 DEB_INSTALL_DOCS_$(libpkgname) += README.markdown

=== debian/watch ===
version=3
http://githubredir.debian.net/github/astro/node-expat .*?(\d[^/]*).tar.gz

## node-expat 1.6.0

=== wscript ===
--- 
+++ 
@@ -10,14 +10,17 @@
   conf.check_tool('node_addon')
   conf.check( header_name='expat.h', 
               mandatory = True,
-	          errmsg = "not installed")
-	
+              includes = [ '/usr/include', '/usr/local/include' ],
+              errmsg = "not installed")
+
   conf.env['LIB_EXPAT'] = ['expat']
 
 
 def build(bld):
   obj = bld.new_task_gen('cxx', 'shlib', 'node_addon')
-  obj.target = 'node-expat'
+  obj.target = 'node_expat'
   obj.source = 'node-expat.cc'
+  obj.includes = [ '/usr/include', '/usr/local/include' ]
+  obj.libpath = [ '/usr/lib', '/usr/lib64', '/usr/local/lib', '/usr/local/lib64' ]
   obj.lib = 'expat'
   obj.uselib = 'EXPAT'

=== debian/changelog ===
node-expat (1.6.0-2ubuntu2) trusty; urgency=medium

  * 9999_switch_to_gyp.patch: Switch from node-waf to node-gyp.
  * debian/*: Adjust build-deps, debhelper, and rules for gyp.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 29 Mar 2014 23:16:08 -0600

node-expat (1.6.0-2ubuntu1) quantal; urgency=low

  * Merge with Debian unstable. Remaining changes:
    - Cope with node -> nodejs renaming.

 -- Michael Bienia <geser@ubuntu.com>  Mon, 01 Oct 2012 16:11:04 +0200

node-expat (1.6.0-2) unstable; urgency=medium

  * Fix add symlink to still provide old name node-expat (not only new
    Windows-compatible node_expat).
    Closes: Bug#678762. Thanks to Lucas Nussbaum and Evgeni Golov.
  * Raise to urgency=medium as all dependent packages are now broken.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 07 Jul 2012 10:38:24 +0200

node-expat (1.6.0-1ubuntu1) quantal; urgency=low

  * Cope with node -> nodejs renaming.

 -- Michael Bienia <geser@ubuntu.com>  Mon, 01 Oct 2012 13:52:11 +0200

node-expat (1.6.0-1) unstable; urgency=low

  * New upstream release.

  * Directly use github.com URL (not githubredir.debian.net redirector)
    when fetching upstream source.
  * Add debian/patches/README documenting patch numbering micro-policy.
  * Refresh patch.
  * Improve build routines:
    + Add stamp files to avoid double configure or build.
    + Build verbosely, and avoid ANSI colors.
    + Fix resolve and apply security hardening build flags.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 22 Jun 2012 20:08:42 +0200

node-expat (1.5.0-2) unstable; urgency=low

  * Use anonscm.debian.org for Vcs-Browser field.
  * Relax timing tolerance of test to avoid failure on slow
    architectures.
    Closes: bug#670678. Thanks to Aaron M. Ucko.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 May 2012 14:42:55 +0200

node-expat (1.5.0-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 13 Apr 2012 12:55:58 -0400

node-expat (1.4.5-1) unstable; urgency=low

  * New upstream release.
  * Extend my copyright for Debian packaging.
  * Update copyright file:
    + Shorten GPL comment, and quote license strings in it.
  * Build-depend unversioned on nodejs-dev: Required version satisfied
    in untable (and unavailable in other Debian releases).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 05 Apr 2012 12:40:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: node-expat
 Section: web
 Priority: optional
-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
  debhelper,
  dh-buildinfo,
- nodejs-dev (>= 0.2.6),
+ nodejs-dev,
+ node-gyp,
  libexpat-dev,
  node-vows
 Standards-Version: 3.9.3
 Homepage: https://github.com/astro/node-expat
 Vcs-Git: git://git.debian.org/git/collab-maint/node-expat
-Vcs-Browser: http://git.debian.org/?p=collab-maint/node-expat.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-expat.git
 
 Package: node-node-expat
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2011, 2012 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for node-expat
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/langcore.mk
include /usr/share/cdbs/1/rules/debhelper.mk

libpkgname = node-node-expat

CDBS_BUILD_DEPENDS += , nodejs-dev, libexpat-dev, node-vows

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

DEB_UPSTREAM_URL = https://github.com/astro/$(DEB_UPSTREAM_PACKAGE)/tarball
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_TARBALL_DELIMITER =
DEB_UPSTREAM_TARBALL_EXTENSION =
DEB_UPSTREAM_RECEIVED_EXTENSION = tar.gz
DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
DEB_UPSTREAM_TARBALL_MD5 = fd5669799856e52b3d35c55a8795a3c7

DEB_INSTALL_DOCS_$(libpkgname) += README.markdown

# Fix backwards compatibility. See bug#678762
DEB_DH_LINK_$(libpkgname) = usr/lib/nodejs/node_expat.node /usr/lib/nodejs/node-expat.node

# node-waf build routines
NODE-WAF-BUILDFLAGS = CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LINKFLAGS="$(LDFLAGS)"
NODE-WAF = node-gyp
NODE = NODE_DISABLE_COLORS=1 nodejs
configure/$(libpkgname):: debian/stamp-node-waf-configure
debian/stamp-node-waf-configure:
	$(NODE-WAF-BUILDFLAGS) $(NODE-WAF) configure
	touch $@
build/$(libpkgname):: debian/stamp-node-waf-build
debian/stamp-node-waf-build:
	$(NODE-WAF) build
	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,$(NODE) test.js)
	touch $@
clean::
	rm -rf build
	rm -f .lock-wscript
	rm -f debian/stamp-node-waf-configure debian/stamp-node-waf-build

# Node modules have an uncommon extension preventing autodetection by
# dh_shlibdeps, so we do it manually
binary-strip-IMPL/$(libpkgname)::
	$(if $(is_debug_package)$(filter nostrip,$(DEB_BUILD_OPTIONS)),,find "$(cdbs_curdestdir)" -name "*.node" -exec strip --remove-section=.comment --remove-section=.note --strip-unneeded {} +)
binary-predeb-IMPL/$(libpkgname)::
	find "$(cdbs_curdestdir)" -name "*.node" -exec dpkg-shlibdeps -Tdebian/$(cdbs_curpkg).substvars {} +

=== debian/watch ===
version=3
https://github.com/astro/node-expat/tags .*/tarball/v?(\d[\d\.]+)

## node-expat 2.3.1

=== debian/changelog ===
node-expat (2.3.1-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Leo Iannacone ]
  * Handle eventual prereleases and repackaging in watch file.

  [ Jonas Smedegaard ]
  * Add README.source emphasizing that control.in file is *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Update URLs to reflect upstream reorganisation.
  * Bump compatibility claim to Policy 3.9.6.
  * Extend git-buildpackage config to suppress upstream gitignore file.
  * Stop track checksum of upstream tarballs.
  * Stop suppress optional build-dependencies: Satisfied even in
    oldstable.
  * Update copyright info:
    + Add Files and License sections for convenience code copy of Expat.
    + Extend coverage for myself.
    + Bump packaging copyright to GPL-3+.
  * Update package relations:
    + Stop conflict/replace/provide libnode-node-expat.
    + (Build-)depend on node-bindings and node-nan.
    + Build-depend on node-iconv, pkg-config and devscripts.
  * Use and build-depend on node-gyp.
    Install all code in subdirs referenced by package.json.
    Thanks to Jérémy Lal (see bug#784439).
  * Fix use nodejs (not node) when executing testsuite.
    Closes: bug#707510. Thanks to Lucas Nussbaum.
  * Add patch 2001 to use nodejs (not node) when resolving nan.
  * Add patch 2002 to have node-gyp link against system shared expat.
  * Unfuzz patch 1001.
  * Update Vcs-* fields to use canonical URLs and cgit browser.
  * Update homepage.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 May 2015 23:06:37 +0200

=== debian/control ===
Source: node-expat
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 devscripts,
 debhelper,
 dh-buildinfo,
 nodejs-dev,
 node-gyp,
 pkg-config,
 libexpat-dev,
 node-vows,
 node-iconv,
 nodejs,
 node-bindings,
 node-nan
Standards-Version: 3.9.6
Homepage: http://node-xmpp.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/node-expat
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/node-expat.git

Package: node-node-expat
Architecture: any
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Description: fast XML parser library for Node
 Node is an event-based server-side JavaScript engine.
 .
 node-expat is a fast XML parser library for Node.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2011-2015 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for node-expat
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/langcore.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = node-node-expat
libdir = /usr/lib/nodejs/node-expat

DEB_UPSTREAM_URL = https://github.com/node-xmpp/$(DEB_UPSTREAM_PACKAGE)/archive
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)

# suppress bogus build-dependency (triggered by convenience code copy)
CDBS_BUILD_DEPENDS_rules_buildcore_config-guess-sub =

# Needed by upstream build and at runtime
deps = nodejs, node-bindings, node-nan

# Needed by upstream build
bdeps = nodejs-dev, node-gyp, pkg-config, libexpat-dev, node-vows, node-iconv

CDBS_BUILD_DEPENDS +=, $(bdeps), $(deps)
CDBS_DEPENDS_$(pkg) = $(deps)

DEB_INSTALL_DOCS_$(pkg) += README.markdown
DEB_DH_INSTALL_ARGS_$(pkg) = package.json lib $(libdir)

NODE = NODE_DISABLE_COLORS=1 nodejs
configure/$(pkg):: debian/stamp-node-gyp-configure
debian/stamp-node-gyp-configure:
	node-gyp configure
	touch $@
build/$(pkg):: debian/stamp-node-gyp-build
debian/stamp-node-gyp-build:
	V=1 $(foreach flag,CC CXX CFLAGS CXXFLAGS CPPFLAGS LDFLAGS,\
		$(flag)="$($(flag))") \
		node-gyp build
	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,$(NODE) test.js)
	touch $@
install/$(pkg)::
	install -m 644 -D -t debian/$(cdbs_curpkg)$(libdir)/build/Release \
	build/Release/*.node
clean::
	node-gyp clean
	rm -f debian/stamp-node-gyp-*

# Node modules have an uncommon path and extension preventing
# autodetection by dh_shlibdeps or dh_fixperms, so we do it manually
binary-strip-IMPL/$(pkg)::
	$(if $(is_debug_package)$(filter nostrip,$(DEB_BUILD_OPTIONS)),\
		,\
		find "$(cdbs_curdestdir)" -name "*.node" \
			-exec strip \
				--remove-section=.comment \
				--remove-section=.note \
				--strip-unneeded {} +)
binary-fixup/$(pkg)::
	find "$(cdbs_curdestdir)" -name "*.node" -exec chmod -x {} +
binary-predeb-IMPL/$(pkg)::
	find "$(cdbs_curdestdir)" -name "*.node" \
		-exec dpkg-shlibdeps -Tdebian/$(cdbs_curpkg).substvars {} +

=== debian/watch ===
version=3
https://github.com/node-xmpp/node-expat/tags .*/archive/v?([\d\.]+).tar.gz

## node-expat 2.3.12

=== debian/changelog ===
node-expat (2.3.12-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    + Refactor.
    + Update dependencies.
    + Update homepage URL + use https for Github links.
    + Upgrade to NANv2.
      Closes: Bug#799774. Thanks to Chris Lamb and Jurica Stanojkovic.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Tighten to (build-)depend versioned on node-nan.
    + Tighten to build-depend versioned on node-vows.
    + Build-depend on node-debug.
  * Update upstream URLs to consistently use https protocol.
  * Modernize Vcs-* fields: Use https protocol.
  * Move packaging git to pkg-javascript team.
  * Declare compliance with Debian Policy 3.9.7.
  * Update copyright info:
    + Fix use full path in autotools Files sections.
    + Use License short-name FSFUL (and derivatives).
    + Fix list aclocal.m4 as FSFUL~file licensed.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend copyright of packaging to cover current year.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#s786450.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.
  * Bump watch file format version to 4.
  * Add lintian override regarding outdated but unused autotools files.
  * Improve build: Invoke vows explicitly.
  * Update patch 1001.
  * Install README.md (no longer README.markdown).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 28 Feb 2016 10:54:32 +0100

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,16 @@
  node-gyp,
  pkg-config,
  libexpat-dev,
- node-vows,
+ node-debug,
  node-iconv,
+ node-vows (>= 0.8.1),
  nodejs,
  node-bindings,
- node-nan
-Standards-Version: 3.9.6
-Homepage: http://node-xmpp.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/node-expat
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/node-expat.git
+ node-nan (>= 2.1.0)
+Standards-Version: 3.9.7
+Homepage: https://node-xmpp.org/
+Vcs-Git: https://anonscm.debian.org/pkg-javascript/node-expat
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-expat.git
 
 Package: node-node-expat
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2011-2015 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2011-2016 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for node-expat
 #
 # This program is free software; you can redistribute it and/or modify
@@ -27,22 +27,26 @@
 DEB_UPSTREAM_URL = https://github.com/node-xmpp/$(DEB_UPSTREAM_PACKAGE)/archive
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 
+# Build-depend unversioned on debhelper
+#  TODO: Drop when adopted in cdbs
+CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
+
 # suppress bogus build-dependency (triggered by convenience code copy)
 CDBS_BUILD_DEPENDS_rules_buildcore_config-guess-sub =
 
 # Needed by upstream build and at runtime
-deps = nodejs, node-bindings, node-nan
+deps = nodejs, node-bindings, node-nan (>= 2.1.0)
 
 # Needed by upstream build
-bdeps = nodejs-dev, node-gyp, pkg-config, libexpat-dev, node-vows, node-iconv
+bdeps = nodejs-dev, node-gyp, pkg-config, libexpat-dev
+bdeps +=, node-debug, node-iconv, node-vows (>= 0.8.1)
 
 CDBS_BUILD_DEPENDS +=, $(bdeps), $(deps)
 CDBS_DEPENDS_$(pkg) = $(deps)
 
-DEB_INSTALL_DOCS_$(pkg) += README.markdown
+DEB_INSTALL_DOCS_$(pkg) += README.md
 DEB_DH_INSTALL_ARGS_$(pkg) = package.json lib $(libdir)
 
-NODE = NODE_DISABLE_COLORS=1 nodejs
 configure/$(pkg):: debian/stamp-node-gyp-configure
 debian/stamp-node-gyp-configure:
 	node-gyp configure
@@ -52,7 +56,9 @@
 	V=1 $(foreach flag,CC CXX CFLAGS CXXFLAGS CPPFLAGS LDFLAGS,\
 		$(flag)="$($(flag))") \
 		node-gyp build
-	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,$(NODE) test.js)
+	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),\
+		,\
+		vows --spec --no-color ./test/**/*.js)
 	touch $@
 install/$(pkg)::
 	install -m 644 -D -t debian/$(cdbs_curpkg)$(libdir)/build/Release \

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=4
https://github.com/node-xmpp/node-expat/tags .*/archive/v?([\d\.]+).tar.gz

## node-expat 2.3.15

=== debian/changelog ===
node-expat (2.3.15-4build2) bionic; urgency=medium

  * No-change rebuild to pick up nodejs-abi-57

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 06 Apr 2018 10:04:20 +0000

node-expat (2.3.15-4build1) artful; urgency=medium

  * No-change rebuild to pick up nodejs-abi-48

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 18 Aug 2017 15:41:11 +0000

node-expat (2.3.15-4) unstable; urgency=medium

  * Let tests not fail (new failures emerged with 2.3.15-3 on mips -
    possibly timing-related but too close to freeze to investigate).
  * Modernize Vcs-* fields:
    + Use git subdir.
    + Use .git suffix.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Jan 2017 19:07:24 +0100

node-expat (2.3.15-3) unstable; urgency=medium

  * Update watch file: Use substitution string @PACKAGE@.
  * Cleanup gyp only if built, to simplify bootstrapping a build.
  * Drop obsolete lintian override regarding debhelper 9.
  * Update copyright info: Extend coverage of Debian packaging.
  * Extract metadata from png file for copyright check.
    Build-depend on libregexp-assemble-perl libimage-exiftool-perl
    libfont-ttf-perl.
    Tighten to build-depend versioned on cdbs.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Jan 2017 20:04:51 +0100

node-expat (2.3.15-2) unstable; urgency=medium

  * Team Upload
  * Call dh_nodejs

 -- Jérémy Lal <kapouer@melix.org>  Wed, 21 Dec 2016 16:32:54 +0100

node-expat (2.3.15-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    + Benchmark.
    + Bump dependencies.
    + Fix test randomly failing.
    + Add Windows notice.
    + Bump dependencies and update README benchmark.
    + Move back to astro github account.
    + Delint.
    + Update dependencies.
    + Upgrade libexpat to version 2.2.0.
    + Fix add missing standard dependency (lint script).
    + Add many contributors to package.json.
    + Remove duplicated API method in documentation.

  [ Jonas Smedegaard ]
  * Stop suppress versioned debhelper build-dependency (done in CDBS
    now).
  * Stop track upstream source with CDBS (use gpb --uscan).
  * Update watch file:
    + Use Github pattern.
    + Mention gpb --uscan in usage comment.
  * Modernize git-buildpackage config:
    + Avoid git- prefix.
    + Filter any .gitignore file.
  * Declare compliance with Debian Policy 3.9.8.
  * Fix Vcs-Git field URL.
  * Build-depend on licensecheck (not devscripts).
  * Fix use http protocol (not https) for Homepage URL.
  * Unfuzz patch 1001.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 31 Aug 2016 12:47:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,11 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs,
- devscripts,
+Build-Depends: cdbs (>= 0.4.147~),
+ licensecheck,
+ libregexp-assemble-perl,
+ libimage-exiftool-perl,
+ libfont-ttf-perl,
  debhelper,
  dh-buildinfo,
  nodejs-dev,
@@ -17,10 +20,10 @@
  nodejs,
  node-bindings,
  node-nan (>= 2.1.0)
-Standards-Version: 3.9.7
-Homepage: https://node-xmpp.org/
-Vcs-Git: https://anonscm.debian.org/pkg-javascript/node-expat
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-expat.git
+Standards-Version: 3.9.8
+Homepage: http://node-xmpp.org/
+Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-expat.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-javascript/node-expat.git
 
 Package: node-node-expat
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2011-2016 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2011-2017 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for node-expat
 #
 # This program is free software; you can redistribute it and/or modify
@@ -16,20 +16,12 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/langcore.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 pkg = node-node-expat
 libdir = /usr/lib/nodejs/node-expat
-
-DEB_UPSTREAM_URL = https://github.com/node-xmpp/$(DEB_UPSTREAM_PACKAGE)/archive
-DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
-
-# Build-depend unversioned on debhelper
-#  TODO: Drop when adopted in cdbs
-CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
 
 # suppress bogus build-dependency (triggered by convenience code copy)
 CDBS_BUILD_DEPENDS_rules_buildcore_config-guess-sub =
@@ -47,6 +39,11 @@
 DEB_INSTALL_DOCS_$(pkg) += README.md
 DEB_DH_INSTALL_ARGS_$(pkg) = package.json lib $(libdir)
 
+DEB_COPYRIGHT_EXTRACT_EXTS = png
+
+# FIXME: Drop when tests do not sporadically fail
+NOFAILTEST = | true
+
 configure/$(pkg):: debian/stamp-node-gyp-configure
 debian/stamp-node-gyp-configure:
 	node-gyp configure
@@ -58,13 +55,15 @@
 		node-gyp build
 	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),\
 		,\
-		vows --spec --no-color ./test/**/*.js)
+		vows --spec --no-color ./test/**/*.js$(NOFAILTEST))
 	touch $@
 install/$(pkg)::
 	install -m 644 -D -t debian/$(cdbs_curpkg)$(libdir)/build/Release \
 	build/Release/*.node
+	dh_nodejs
+cleanbuilddir::
+	[ ! -e debian/stamp-node-gyp-build ] || node-gyp clean
 clean::
-	node-gyp clean
 	rm -f debian/stamp-node-gyp-*
 
 # Node modules have an uncommon path and extension preventing

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/node-xmpp/node-expat/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian

## node-expat 2.3.17

=== debian/changelog ===
node-expat (2.3.17-1) unstable; urgency=medium

  * New upstream version 2.3.17
  * Move to dh 10, build against libnode, node-gyp 3.8.0-2
  * Depends nodejs, node-bindings
  * AMAU since Jonas only handles cdbs
  * Update Vcs-* fields
  * Drop nodejs rename patch
  * https url in copyright
  * Standards-Version 4.3.0
  * Add autopkgtests
  * DEP-3 format patch
  * Copyright: update and use stricter format, drop unused
    lintian overrides

 -- Jérémy Lal <kapouer@melix.org>  Fri, 25 Jan 2019 00:47:40 +0100

node-expat (2.3.15-5) experimental; urgency=medium

  * Section: javascript

 -- Jérémy Lal <kapouer@melix.org>  Fri, 29 Dec 2017 11:27:45 +0100

=== debian/control ===
Source: node-expat
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Build-Depends: 
 debhelper (>= 10~),
 dh-buildinfo,
 libnode-dev,
 node-gyp (>= 3.8.0-2),
 pkg-config,
 libexpat-dev,
 node-debug,
 node-iconv,
 node-vows (>= 0.8.1),
 nodejs,
 node-bindings,
 node-nan (>= 2.1.0)
Standards-Version: 4.3.0
Homepage: http://node-xmpp.org/
Vcs-Git: https://salsa.debian.org/js-team/node-expat.git
Vcs-Browser: https://salsa.debian.org/js-team/node-expat

Package: node-node-expat
Architecture: any
Depends: nodejs,
 node-bindings,
 ${misc:Depends},
 ${shlibs:Depends}
Description: fast XML parser library for Node
 Node is an event-based server-side JavaScript engine.
 .
 node-expat is a fast XML parser library for Node.

=== debian/tests/control ===
Test-Command: node -e "require('node-expat')"
Depends: node-node-expat

## node-expat 2.3.18

=== debian/changelog ===
node-expat (2.3.18-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Declare compliance with Debian Policy 4.4.0.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 15 Jul 2019 00:43:45 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: javascript
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Uploaders: Jérémy Lal <kapouer@melix.org>
+Uploaders: Jonas Smedegaard <dr@jones.dk>,
+ Jérémy Lal <kapouer@melix.org>
 Build-Depends: 
  debhelper (>= 10~),
  dh-buildinfo,
@@ -16,7 +17,7 @@
  nodejs,
  node-bindings,
  node-nan (>= 2.1.0)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://node-xmpp.org/
 Vcs-Git: https://salsa.debian.org/js-team/node-expat.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-expat

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -f test/tmp/*

override_dh_auto_configure:
	node-gyp configure

override_dh_auto_build:
	node-gyp build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	vows --spec ./test/**/*.js
endif

override_dh_install:
	dh_install
	find $(CURDIR)/debian/node-node-expat/usr/lib -name *.node -exec chmod 644 '{}' \;

## node-expat 2.3.18+ds

=== debian/changelog ===
node-expat (2.3.18+ds-3) unstable; urgency=medium

  * improve resolving dependency on nodejs,
    to first try resolve from shlibdep of libnodeXX;
    thanks to Andrius Merkys (see bug#963761)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Jul 2020 09:53:06 +0200

node-expat (2.3.18+ds-2) unstable; urgency=medium

  * fix have autopkgtest depend on node-debug node-iconv;
    closes: bug#964339, thanks to Paul Gevers

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Jul 2020 19:12:53 +0200

node-expat (2.3.18+ds-1) unstable; urgency=medium

  [ Debian Janitor ]
  * use debhelper compatibility level 12 (not 10);
    build-depend on debhelper-compat (not debhelper)
  * set upstream metadata fields:
    Bug-Database Bug-Submit Repository Repository-Browse.
  * declare compliance with Debian Policy 4.5.0

  [ Jonas Smedegaard ]

  * update Homepage, Source, watch, and metadata URLs
  * tighten dependency on nodejs;
    closes: bug#963060, thanks to Paul Gevers
  * copyright:
    + repackage upstream source without embedded copy of libexpat
    + stop track no longer redistributed libexpat
    + extend coverage
    + use License-Grant and License-Reference
    + use semantic newlines
  * watch:
    + add repacksuffix
    + use substitution strings
    + use dversionmangle=auto
    + simplify regular expressions
    + rewrite usage comment
  * drop obsolete README.source
  * add patch 2001 to test against system-installed node-expat
  * set local library path during build-time testing
  * annotate superficial autopkgtest,
    and add non-superficial autopkgtest
  * annotate test-only build-dependencies
  * include helper script copyright-check with source
  * reference DEP-3 format in patch headers
  * suppress lintian regarding license is in License-Reference field
    (see bug#786450),
    and drop obsolete suppression

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Jul 2020 14:52:08 +0200

=== debian/control ===
Source: node-expat
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-buildinfo,
 libnode-dev,
 node-gyp (>= 3.8.0-2),
 pkg-config,
 libexpat-dev,
 node-debug <!nocheck>,
 node-iconv <!nocheck>,
 node-vows (>= 0.8.1) <!nocheck>,
 nodejs,
 node-bindings,
 node-nan (>= 2.1.0)
Standards-Version: 4.5.0
Homepage: https://github.com/astro/node-expat
Vcs-Git: https://salsa.debian.org/js-team/node-expat.git
Vcs-Browser: https://salsa.debian.org/js-team/node-expat

Package: node-node-expat
Architecture: any
Depends:
 nodejs (>= ${nodejs:Depends}),
 node-bindings,
 ${misc:Depends},
 ${shlibs:Depends}
Description: fast XML parser library for Node
 Node is an event-based server-side JavaScript engine.
 .
 node-expat is a fast XML parser library for Node.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# try resolve from shlibdep of libnodeXX, or use full nodejs version
NODEJS_VERSION = $(shell \
 grep -Po '^shlibs:Depends=.*libnode\d+ \(>= \K\S+(?=\))' \
  debian/node-node-expat.substvars \
 || dpkg-query --showformat='$${source:Version}' --show nodejs)

override_dh_auto_configure:
	node-gyp configure

override_dh_auto_build:
	node-gyp build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	NODE_PATH=lib vows --spec ./test/**/*.js
endif

override_dh_install:
	dh_install
	find debian/node-node-expat/usr/lib -name *.node -exec chmod 644 '{}' \;

override_dh_gencontrol:
	dh_gencontrol -- -V"nodejs:Depends=$(NODEJS_VERSION)"

%:
	dh $@

=== debian/tests/control ===
Test-Command: node -e "require('node-expat')"
Depends: node-node-expat
Restrictions: superficial

Test-Command: vows --spec ./test/**/*.js
Depends:
 node-debug,
 node-iconv,
 node-node-expat,
 node-vows,

## node-expat 2.4.0+ds

=== debian/changelog ===
node-expat (2.4.0+ds-2) unstable; urgency=medium

  * Team upload
  * Rebuild with nodejs 18 (Closes: #1016812)

 -- Yadd <yadd@debian.org>  Mon, 08 Aug 2022 21:57:34 +0200

node-expat (2.4.0+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * simplify source helper script copyright-check
  * use debhelper compatibility level 13 (not 12);
    stop build-depend on dh-exec
  * stop build-depend on dh-buildinfo
  * stop build-depend explicitly on nodejs:
    not called explicitly during build
  * declare compliance with Debian Policy 4.6.0
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 Oct 2021 14:55:38 +0200

node-expat (2.3.18+ds-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dh-exec, node-gyp and
      node-vows.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 24 Sep 2021 15:50:53 +0100

node-expat (2.3.18+ds-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on node-nan.

  [ Bastien Roucariès ]
  * Team upload
  * MA: same and move to multiarch dir
  * Add salsa CI

 -- Bastien Roucariès <rouca@debian.org>  Fri, 17 Sep 2021 21:12:31 +0000

=== debian/control ===
Source: node-expat
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
 Jérémy Lal <kapouer@melix.org>,
Build-Depends:
 debhelper-compat (= 13),
 libexpat-dev,
 libnode-dev,
 node-bindings,
 node-debug <!nocheck>,
 node-gyp,
 node-iconv <!nocheck>,
 node-nan,
 node-vows <!nocheck>,
 pkg-config,
Standards-Version: 4.6.1
Homepage: https://github.com/astro/node-expat
Vcs-Git: https://salsa.debian.org/js-team/node-expat.git
Vcs-Browser: https://salsa.debian.org/js-team/node-expat
Rules-Requires-Root: no

Package: node-node-expat
Architecture: any
Multi-Arch: same
Depends:
 node-bindings,
 nodejs:any (>= ${nodejs:Depends}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: fast XML parser library for Node
 Node is an event-based server-side JavaScript engine.
 .
 node-expat is a fast XML parser library for Node.

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Test-Command: node -e "require('node-expat')"
-Depends: node-node-expat
+Depends:
+ node-node-expat,
 Restrictions: superficial
 
 Test-Command: vows --spec ./test/**/*.js

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
repacksuffix=+ds,\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto \
https://github.com/astro/node-expat/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@
